import { Dayjs } from 'dayjs';
export interface FormatUtil {
    escapeNewLine(str?: string): string;
    escapeHtml(str?: string): string;
    splitNewLine(str?: string): Array<string>;
    formatDate(date?: string | Date | Dayjs | null, pattern?: string): string;
    formatPrice(value?: number | string | null, withUnit?: boolean): string | null;
    formatPoint(value?: number | string | null, withUnit?: boolean): string | null;
    formatNumber(value?: number | string | null): string | null;
    formatPercent(value?: number | string | null, withUnit?: boolean, decimalPlace?: number): string | null;
    formatCreditCardNo(value: string, separator?: string): string | undefined;
    toPlainText(textIncludedHTMLElement?: string): string;
}
declare const formatUtil: FormatUtil;
export default formatUtil;
